org.codehaus.plexus.component.manager

## Interface ComponentManager

All Known Implementing Classes:
  AbstractComponentManager, ClassicSingletonComponentManager, KeepAliveSingletonComponentManager, PerLookupComponentManager

    public interface ComponentManager

Manages a component manager. Determines when a component is shutdown, and when it's started up. Each manager deals with only one component class, though may handle multiple instances of this class.

Version:
  $Id: ComponentManager.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`ComponentManager` `copy()`
`void` `dispose()`
`Object` `getComponent()`
`ComponentDescriptor` `getComponentDescriptor()`
`int` `getConnections()`
`PlexusContainer` `getContainer()`
`String` `getId()`
`LifecycleHandler` `getLifecycleHandler()`
`void` `initialize()`
`void` `release(Object component)`
`void` `resume(Object component)`
`void` `setup(PlexusContainer container, LifecycleHandler lifecycleHandler, ComponentDescriptor componentDescriptor)`
`void` `suspend(Object component)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### copy

    ComponentManager copy()

#### getId

    String getId()

#### setup

    void setup(PlexusContainer container,
             LifecycleHandler lifecycleHandler,
             ComponentDescriptor componentDescriptor)

#### initialize

    void initialize()

#### getConnections

    int getConnections()

#### getLifecycleHandler

    LifecycleHandler getLifecycleHandler()

#### dispose

    void dispose()
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### release

    void release(Object component)
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### suspend

    void suspend(Object component)
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### resume

    void resume(Object component)
                throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### getComponent

    Object getComponent()
                        throws ComponentInstantiationException,
                               ComponentLifecycleException

Throws:
  `ComponentInstantiationException`
  `ComponentLifecycleException`

#### getComponentDescriptor

    ComponentDescriptor getComponentDescriptor()

#### getContainer

    PlexusContainer getContainer()